## Discord Plex FR : https://discord.gg/3gtABCH
## Version 2022-09-25
version: '3'

services:
  picsur:
    image: ghcr.io/rubikscraft/picsur:latest
    container_name: picsur
    ports:
      - '8080:8080'
    depends_on:
      - picsur_postgres
    environment:
      PICSUR_DB_HOST: picsur_postgres
      PICSUR_DB_PORT: 5432
      PICSUR_DB_USERNAME: picsur
      PICSUR_DB_PASSWORD: PASS_DE_MA_DB
      PICSUR_DB_DATABASE: picsur
      PICSUR_ADMIN_PASSWORD: MON_SUPER_PASS_ADMIN
    restart: unless-stopped

  picsur_postgres:
    image: postgres:14
    container_name: picsur_postgres
#    user: 9999:111
    labels:
      - com.centurylinklabs.watchtower.enable=true
      - deunhealth.restart.on.unhealthy=true
    environment:
      POSTGRES_DB: picsur
      POSTGRES_PASSWORD: PASS_DE_MA_DB
      POSTGRES_USER: picsur
    restart: unless-stopped
    volumes:
#      - /etc/passwd:/etc/passwd:ro
#      - /etc/localtime:/etc/localtime:ro
      - ./data:/var/lib/postgresql/data

  adminer:
    container_name: picsur_adminer
    image: adminer
    restart: unless-stopped
    depends_on:
      - picsur_postgres
    ports:
      - 8081:8080
    mem_limit: 64m
    mem_reservation: 16m